#!/bin/bash
#this shell script generates data for biedronka
#it should get few environmen variables:
#DESTPATH path where data will be saved
#DESTNAME filename with data
#SRCCP bash array of files to copy
#SRCCAT bash array of files to cat
#SRCRUN bash array of commands to run and to save optput
DOT="."
TDESTNAME=`echo ${DOT}${DESTNAME}`
cd $DESTPATH && rm ${TDESTNAME} ${DESTNAME} -rf ;
mkdir ${TDESTNAME} -m 755

for CUR in $SRCCP
	do
		mkdir ${DESTPATH}/${TDESTNAME}/`dirname $CUR` >> /tmp/test
		cp $CUR ${DESTPATH}/${TDESTNAME}/$CUR -rf >> /tmp/test
		done

for CUR in $SRCCAT
	do
		mkdir ${DESTPATH}/${TDESTNAME}/`dirname $CUR`
		cat $CUR >> ${DESTPATH}/${TDESTNAME}/$CUR
		done

mkdir ${DESTPATH}/${TDESTNAME}/run

for CUR in $SRCRUN
	do
		TMP=`echo $CUR | tr ' $/' '_'`
		NCUR=`echo ${CUR} | tr '_' ' '`
		echo $NCUR >>/tmp/log
		echo $TMP >>/tmp/log
		$NCUR >> ${DESTPATH}/${TDESTNAME}/run/${TMP}
		done

perl $RESDIR/scan.pl ${DESTPATH}/${TDESTNAME}/run/tuptus.scan

cd ${DESTPATH}/${TDESTNAME} && tar -cjf ../${DESTNAME} ./ ; cd -
rm $TDESTNAME -rf